SEQUENCES, INDEX, SYNONYMS
--------------------------

1) SEQUENCES

CREATE SEQUENCE <name>
   INCREMENT BY <n>
   START WITH <n>
   MAXVALUE <n>
   MINVALUES <n>
   CYCLE | NOCLYCLE

SELECT *
FROM USER_SEQUENCES

CREATE SEQUENCE SEQ_CUSTOMER
    INCREMENT BY 1
    START WITH 1
    MAXVALUE 999999
    CYCLE;

SELECT SEQ_CUSTOMER.NEXTVAL
      ,SEQ_CUSTOMER.CURRVAL
FROM DUAL;

INSERT ... VALUES ... SEQ_CUSTOMER.NEXTVAL...

ALTER SEQUENCE ....

DROP SEQUENCE SEQ_CUSTOMER

2) INDEX

CONSTRAINT PRIMARY KEY, UNIQUE -> ORACLE CREATES INDEXES

CREATE INDEX <NAME> ON <TABLE>(<COL1>,<COL2,...)

DROP TABLE CUSTOMERS
CREATE TABLE CUSTOMERS
(
     ID INT,
     NAME VARCHAR2(10)
)

CREATE INDEX IX_CUSTOMER ON CUSTOMERS(NAME)

SELECT *
FROM USER_INDEXES

3) SYNOYMS

SELECT *
FROM HR.DEPARTMENTS

CREATE SYNONYM DEP 
FOR HR.DEPARTMENTS

SELECT *
FROM DEP

DROP SYNONYM DEP
